Package org.gradle.api.artifacts.result

## Interface ResolvedDependencyResult

- All Superinterfaces:
    `DependencyResult`

      public interface ResolvedDependencyResult
      extends DependencyResult

  A dependency that was resolved successfully.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ResolvedVariantResult` | `getResolvedVariant()` | Returns the resolved variant for this dependency.
    `ResolvedComponentResult` | `getSelected()` | Returns the selected component.

    - ### Methods inherited from interface org.gradle.api.artifacts.result.DependencyResult

      `getFrom, getRequested, isConstraint`

- - ### Method Detail

    - #### getSelected

          ResolvedComponentResult getSelected()

      Returns the selected component. This may not necessarily be the same as the requested component. For example, a dynamic version may have been requested, or the version may have been substituted due to conflict resolution, or by being forced, or for some other reason.

    - #### getResolvedVariant

          ResolvedVariantResult getResolvedVariant()

      Returns the resolved variant for this dependency.
      Since:
        5.6